package com.capgemini.framework.teamcenter.exceptions.runtime;

/**
 * Super type of any {@link RuntimeException} thrown by the KURT application.
 */
public class KurtRuntimeException extends RuntimeException {
    private static final long serialVersionUID = 6157368198636151053L;

    public KurtRuntimeException() {
    }

    public KurtRuntimeException(String message) {
        super(message);
    }

    /**
     * Builds an {@link KurtRuntimeException} that has a custom error message, and originates from an original exception.
     * 
     * @param message custom error message
     * @param anException original exception
     */
    public KurtRuntimeException(final String message, final Throwable anException) {
        super(message, anException);
    }

}
